# Retrieve the run status of a specific meter version Retrieves the current run status of a specific meter version in Zuora Mediation. It returns an integer code indicating the status, such as RUNNING, COMPLETED, or FAILED, which helps monitor the meter's execution state. Endpoint: GET /meters/{meterId}/{version}/runStatus Version: 2026-02-20 Security: bearerAuth ## Path parameters: - `meterId` (integer, required) ID of the meter. - `version` (string, required) Version of the meter. ## Header parameters: - `Content-Type` (string, required) Specify the content type of the request body. Use application/json. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Response 200 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `data` (object) - `data.runStatus` (integer) The run status of the current version. Possible values: - 1: NEVER_RUN - 2: TESTING - 3: TESTING_FAILED - 4: TESTING_PASSED - 5: RUNNING - 6: PAUSED - 7: COMPLETED - 8: FAILED - 9: CANCELED - 10: INITIALIZING - 11: USAGE_PUSHING - 12: PUSH_COMPLETED - 13: CONSUME_COMPLETED - `data.runStatusDescription` (string) Description of the run status. ## Response 400 fields (application/json): - `errors` (array) - `errors.code` (string) Machine-readable error code identifying the failure type. - `errors.message` (string) Human-readable description of the error that provides more context about what went wrong. - `success` (boolean) ## Response 404 fields (application/json): - `success` (boolean) Whether the API request has succeeded or not. - `data` (object) Detailed response information for successful requests (e.g., instance info, job details). - `data.id` (string) The instance ID. - `data.sessionId` (string) The session ID of the meter instance. - `data.jobId` (string) The job ID of the meter instance. - `data.meterId` (integer) The ID of the meter. - `data.version` (string) The meter version. - `data.revision` (string) The meter revision. - `data.runType` (integer) The run type of the instance. - `data.runTypeDescription` (string) The description of the run type. - `data.startTime` (string) The start time of the instance. - `data.status` (integer) The job status of the instance. - `data.statusDescription` (string) The status description of the instance. - `data.canExportSummary` (boolean) Whether the instance can export summary information (internal usage). - `data.hasLineageEnabled` (boolean) Whether lineage is enabled for the meter (internal usage). - `error` (object) Contains error details when the request fails. - `error.code` (string) The error reason code (e.g., "70002006" for authorization errors). - `error.message` (string) A human-readable description of the error. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response